GCLOUD_COMPUTE_TARGET-HTTPS-PROXIES_UPDATE(1)

NAME

gcloud compute target-https-proxies update - update a target HTTPS proxy

SYNOPSIS

gcloud compute target-https-proxies update NAME [--ssl-certificate=SSL_CERTIFICATE] [--url-map=URL_MAP] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute target-https-proxies update is used to change the SSL certificate and/or URL map of existing target HTTPS proxies. A target HTTPS proxy is referenced by one or more forwarding rules which define which packets the proxy is responsible for routing. The target HTTPS proxy in turn points to a URL map that defines the rules for routing the requests. The URL map's job is to map URLs to backend services which handle the actual requests. The target HTTPS proxy also points to an SSL certificate used for server-side authentication.

POSITIONAL ARGUMENTS

    NAME
        The name of the target HTTPS proxy.

FLAGS

    --ssl-certificate=SSL_CERTIFICATE
        A reference to an SSL certificate resource that is used for server-side authentication. The SSL certificate must exist and cannot be deleted while referenced by a target HTTPS proxy.

    --url-map=URL_MAP
        A reference to a URL map resource that defines the mapping of URLs to backend services. The URL map must exist and cannot be deleted while referenced by a target HTTPS proxy.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.